RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003646USAF[All Projects] Generalpublic2017-10-17 18:472018-01-03 23:07
ReporterSpinalfirst 
Assigned ToKeplager 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSOS Version
Product Version0.4.3.1 
Target VersionFixed in Version0.4.5 
Summary0003646: UH-60 Blackhawk Advanced Flight Model 0.4.3.1 tail Rotor kicks to hard
DescriptionThe 0.4.3.1 fixes the major problem of the colective power. also reduce the wind resistance to the frame when flying. Thank to this fix 0.4.3.1. The only issue now is the tail rotor input that kicks to hard. even with the tail compensation on. It make the helicopter spin 360 degres at take off and landing procedure. Even when crusing you can feel the chopper want to go off track by the tail rotor.



The UH-60 Blackhawk Advanced Flight Model seem to be broken. We (me and my team) are using RHS for a while now. This mod is realy great and thank for you great job. The issue is: with the UH-60 Blackhawk Advanced Flight Model in the version 0.4.3 absolutely not like the previous version. The 0.4.2 was a lot smoother than the actual advanced model of the 0.4.3. I dont know if it is intended, but all pilots of my team are now unable to fly the chopper (advanced model flight). 0.4.2 was needing around 50% power to take off. Now the 0.4.3 need lesser than 25% and it make the helicopter taking off too fast. Landing is realy hard now with the chopper constantley want to drop. I know its what a chopper actualy do but i mean that its really more difficult than the previous version. The wind force are affecting so badly the chopper that we are constently getting warning alert whatever we do. the 0.4.3 is still flyable, but we can't enjoy anymore as it is now. Plese check if its a mistake or if it was intended this way. if it's intentional, we will apreciate to get the 0.4.2 advanced model as an option if possible. I have flown all other choper (Russian to) and it seem that its only the UH-60 that got the problem.
Steps To Reproducejust try the UH-60 blackawk in any type and fly it in advanced flight model.
Compare it to the 0.4.2 version if you want. you will see a big difference.
Additional Informationspinalweb@hotmail.com

team: www.leslcg.fr

arma 3 milsim team

Thank in advance, you mods are the best :)
TagsNo tags attached.
Is it a wish/request?Yes
Arma 3 version1.76
Did you used any other mod when the error occurred?No
Which mods?
Attached Files

- Relationships

-  Notes
(0006800)
JacD (reporter)
2017-10-18 23:17

My feeling is the same.
(0006803)
Spinalfirst (reporter)
2017-10-19 00:17

The 0.4.3.1 fixes the major problem of the colective power. also reduce the wind resistance to the frame when flying. The only issue now is the tail rotor input that kicks to hard. even with the tail compensation on. It make the helicopter spin 360 degres at take off and landing procedure. even when crusing you can feel the chopper want to go off track by the tail rotor.
(0006814)
Keplager (developer)
2017-10-19 11:39

Please provide a video clearly showing unwanted behavior. I could not reproduce the problem as described. Currently the rotational period of the UH-60M (clean) in high IGE hover is about four minutes (1.5 degrees per second), requiring minor left pedal additions in order to keep the aircraft under directional control. In forward flight the helicopter is very stable and the SAS has more than enough authority in yaw to keep the helicopter coordinated in no-sideslip straight and level flight (not necessary wings level).

Also note that most of the helicopters in the mod have undergone complete AFM overhauls, so they will perform differently than before.
(0006821)
Spinalfirst (reporter)
2017-10-20 06:41

We manage to get 2 videos of the trouble we got. Made by me and one of my mate on the team. We both compared the UH-60M to another chopper. Myself with the bohemia ghosthawk and my friend with the RHS littlebird. Just to give you a point of view of the difference in the flight patern. Also, as you said.The flight model can differ from the last version for sure. But as you going to see in both video, the tail rotor intend to kick the chopper whatever the manoeuvre we do.

https://www.youtube.com/watch?v=cUifpaPb1lk [^]

https://www.youtube.com/watch?v=_ugvOfKEhkA&t [^]

Plese accept my apologise for my poor english in the video. (we are french)
In hope it can help you. We will try more test in our side to see if something might help or be found as the cause.

As always we like Red Hamer Studios mods and keep anjoy it.
(0006829)
JacD (reporter)
2017-10-20 18:03

Lets look please on my film, proprably there is a problem with weighting of helicopter/main rotor after switch off trim BH rotate I counterpunch left foot but BH gustily pitch down, it`s unnormal situation with good weighting helicopter.
https://youtu.be/o3l2XxukvqQ [^]
A little hihger without crash:
https://youtu.be/8MZdbi7Xn_s [^]
(0006832)
Spinalfirst (reporter)
2017-10-21 00:02

Update. i found something. I dont know if you where using a joystick or a controller to flight. But i found that the trouble only happen when i use the keyboard and mouse to control the chopper. It didint happenned when i used my Xbox contoler. I acctually always fly with keyboard and mouse and i didint though about trying the contoler to see if there was a difference. Try to use the cyclic Foward and backward when using a mouse as cyclic. You should immediately notice the difference with the tail rotor kick. Here is my setup for keboard mouse flying. For the last test i was using only RHSusaf mod.
                    Using a QWERTY keaboard

Ciclic foward: Mouse up
Ciclic Backward: Mouse down
Ciclic left: Mouse left
Ciclic right: mouse right
Collective raise: W
Collective lower: S
Left pedal: A
Right pedal: D
(0006839)
Cygan (reporter)
2017-10-22 16:42
edited on: 2017-10-22 17:08

Update for more detail issue (AFM).

After several flights (UM-60M) in many aspects there's some issue:

* ROLL axis - to sensitive. On extension joysticks is not so hard(but
  uncomfortable) and could be problem in use standard PC joystic.
  All stick controls axis should be on the same standard > pitch axis it's
  ok so roll could be the same.

On the ground, wheels brakes off:
* PITCH axis - push forward > helo move back and turn right
* RUDDER/TAIL ROTOR - push right pedal > move right and forword
                      - push left pedal > turn right and backward(!)
                    
During flying forward:
* Helo cannot fly straight forward with neutral rudder position.
  Normal situation is to put very small rudder inputs for correct sideslip
  heading by wind, bank angle, power decre/incre. ect.
  Now we need push left rudder at all time almost at the same value like in
  hover.
  
Conlusion:
Helo is still mission capable but with more difficulty. That causes discomfort(AND UNREALISTIC) of standard flight manouvers.

I'm completley no idea about mod making (so i have huge respect FOR YOUR WORK) but i know something about flight dynamic of helicopters and in RHS UH-60 things like roll axis is meaby comsetic things but about rudder/tail rotor is difinitely wrong.

Testing on AFM with stick, collective(both extend) rudder.

(0007100)
Keplager (developer)
2017-11-22 15:25

Changed flight model in the latest update, feedback would be appreciated.

- Issue History
Date Modified Username Field Change
2017-10-17 18:47 Spinalfirst New Issue
2017-10-18 23:17 JacD Note Added: 0006800
2017-10-19 00:17 Spinalfirst Note Added: 0006803
2017-10-19 00:22 Spinalfirst Priority none => normal
2017-10-19 00:22 Spinalfirst Severity feature => tweak
2017-10-19 00:22 Spinalfirst Reproducibility have not tried => always
2017-10-19 00:22 Spinalfirst Platform => PC
2017-10-19 00:22 Spinalfirst Product Version => 0.4.3.1
2017-10-19 00:22 Spinalfirst Summary UH-60 Blackhawk Advanced Flight Model => UH-60 Blackhawk Advanced Flight Model 0.4.3.1 tail Rotor kicks to hard
2017-10-19 00:22 Spinalfirst Description Updated View Revisions
2017-10-19 11:39 Keplager Note Added: 0006814
2017-10-19 11:39 Keplager Assigned To => Keplager
2017-10-19 11:39 Keplager Status new => acknowledged
2017-10-20 06:41 Spinalfirst Note Added: 0006821
2017-10-20 18:03 JacD Note Added: 0006829
2017-10-21 00:02 Spinalfirst Note Added: 0006832
2017-10-22 16:42 Cygan Note Added: 0006839
2017-10-22 16:43 Cygan Note Edited: 0006839 View Revisions
2017-10-22 16:44 Cygan Note Edited: 0006839 View Revisions
2017-10-22 17:08 Cygan Note Edited: 0006839 View Revisions
2017-11-22 15:25 Keplager Note Added: 0007100
2018-01-03 23:07 Keplager Status acknowledged => resolved
2018-01-03 23:07 Keplager Fixed in Version => 0.4.5
2018-01-03 23:07 Keplager Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker